<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1.0">
    <title>vue-test</title>
</head>

<body>
    <p v-if="isMorning">Good morning!</p>
    <p v-if="isAfternoon">Good afternoon!</p>
    <p v-if="isEvening">Good evening!</p>
</body>
<script src="https://unpkg.com/vue"></script>
<script>
    var hours = new Date().getHours();
    new Vue({
        el: '#app',
        data: {
            isMorning: hours < 12,
            isAfternoon: hours >= 12 && hours < 18,
            isEvening: hours >= 18
        },
        created() {
            console.log("excute created")
        }
    });
</script>

</html>